
From: Johannes Stezenbach <js@linuxtv.org>

- frontends: sp887x: improve confusing firmware loading messages

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/frontends/sp8870.c |    3 ++-
 25-akpm/drivers/media/dvb/frontends/sp887x.c |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/frontends/sp8870.c~dvb-cleanup-firmware-loading-printks drivers/media/dvb/frontends/sp8870.c
--- 25/drivers/media/dvb/frontends/sp8870.c~dvb-cleanup-firmware-loading-printks	2005-01-25 21:19:32.101071608 -0800
+++ 25-akpm/drivers/media/dvb/frontends/sp8870.c	2005-01-25 21:19:32.106070848 -0800
@@ -313,7 +313,7 @@ static int sp8870_init (struct dvb_front
 
 
 	/* request the firmware, this will block until someone uploads it */
-	printk("sp8870: waiting for firmware upload...\n");
+	printk("sp8870: waiting for firmware upload (%s)...\n", SP8870_DEFAULT_FIRMWARE);
 	if (state->config->request_firmware(fe, &fw, SP8870_DEFAULT_FIRMWARE)) {
 		printk("sp8870: no firmware upload (timeout or file not found?)\n");
 		release_firmware(fw);
@@ -325,6 +325,7 @@ static int sp8870_init (struct dvb_front
 		release_firmware(fw);
 		return -EIO;
 	}
+	printk("sp8870: firmware upload complete\n");
 
 	/* enable TS output and interface pins */
 	sp8870_writereg(state, 0xc18, 0x00d);
diff -puN drivers/media/dvb/frontends/sp887x.c~dvb-cleanup-firmware-loading-printks drivers/media/dvb/frontends/sp887x.c
--- 25/drivers/media/dvb/frontends/sp887x.c~dvb-cleanup-firmware-loading-printks	2005-01-25 21:19:32.102071456 -0800
+++ 25-akpm/drivers/media/dvb/frontends/sp887x.c	2005-01-25 21:19:32.107070696 -0800
@@ -518,7 +518,7 @@ static int sp887x_init(struct dvb_fronte
 
 	if (!state->initialised) {
 	/* request the firmware, this will block until someone uploads it */
-	printk("sp887x: waiting for firmware upload...\n");
+		printk("sp887x: waiting for firmware upload (%s)...\n", SP887X_DEFAULT_FIRMWARE);
 		ret = state->config->request_firmware(fe, &fw, SP887X_DEFAULT_FIRMWARE);
 	if (ret) {
 		printk("sp887x: no firmware upload (timeout or file not found?)\n");
@@ -531,6 +531,7 @@ static int sp887x_init(struct dvb_fronte
 			release_firmware(fw);
 			return ret;
 	}
+		printk("sp887x: firmware upload complete\n");
 		state->initialised = 1;
 	}
 
_
